Subject: Re: bug#72556: 29.1.90; vc-diff does not undo hunk in end of source file

From: Tomas Nordin <[email-masked]>
Date: Sat, 15 Mar 2025 12:50:59 +0000

Dmitry Gutov <[email-masked]> writes:

> Version 31.1
>
> On 13/03/2025 00:19, Tomas Nordin wrote:
>
>> Here it is, on top of todays master
>
> Thank you, I've pushed the combined patch to the master branch:

Let's hope it holds.

> Any further improvements to the diff-mode tests would be welcome too - 
> such as similar test case(s) for deletion hunks and/or extracting the 
> common part of the new test cases into a macro.

Thanks for the nudge.  I understand it as adding tests for deletion of
hunks in patch buffers, plus try to make some macro(s) to avoid
repeating code patterns in test cases.?  I can probably try that some
time.